Skip to Content
veriom

Search workspace context

GET
/v1/workspaces/{workspace_id}/context/search

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

q?Q
Lengthlength <= 200
Default""
repository_id?|null
source_type?|null
limit?Limit
Range1 <= value <= 100
Default30

Response Body

Successful Response

application/json
  1. response
context_hash*Context Hash
items*array<>
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/context/search'
Example Response
{  "context_hash": "string",  "items": [    {      "confidence": 0,      "data": {},      "evidence_ids": [        "string"      ],      "id": "string",      "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",      "source_type": "string",      "summary": "string",      "title": "string",      "type": "entity"    }  ]}